#ifndef _NET_H
#define _NET_H

#include "world.h"

enum {
  NO_CONNECTION = 0,
  CONNECTING,
  CONNECTED
}; 

#define CONNECTING 1
struct _server_t {
    int status;
    
    int socket;
    int iotag;

    int tn_last;
    int tn_subneg;

    struct addrinfo *ans;
    struct addrinfo *current;
};

void gm_net_connect(world *w, const char *hostname, int port);
void gm_net_disconnect(world *w);
void gm_net_send(world *w, const unsigned char *text, int length);

#endif /* _NET_H */
